<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>

<xsl:strip-space elements='*'/>
<xsl:output method='xml'/>

<!-- Narval prototype ====================================================== -->

<al:prototype xmlns:al="http://www.logilab.org/namespaces/Narval/1.2">
<al:description lang="fr">Produit une page xhtml partir de sort-group contenant
des emails.</al:description>
<al:description lang="en">Merge email sort-group into an xhtml page.</al:description>
<al:input list='yes' id='input'><al:match>sort-group</al:match>
<al:description lang="en">sort groups produced from data-unit / rss elements</al:description></al:input>
<al:output id='output'><al:match>xhtml</al:match>
<al:description lang="en">xhtml newspaper</al:description></al:output>
</al:prototype>

<!-- root ================================================================== -->

<xsl:template match='al:arguments'>
  <xhtml>     
  <head>
  <link href='style.css' rel='stylesheet' type='text/css'/>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
  <meta name="Description" content="Narval\'s Journal"/>
  <meta name="Generator" content="Narval"/>
  <title>Email by themes</title>
  </head>
  <body><h1>Sorted emails</h1>

  <xsl:apply-templates select='sort-group'/>

  </body>
  </xhtml>
</xsl:template>
 
<xsl:template match='sort-group'>
  <h2>
    <xsl:value-of select='common'/>
  </h2>
  <table border="1" width="90%">
    <xsl:apply-templates select='data-unit'/>
  </table>
  <hr/>
</xsl:template>

<xsl:template match='data-unit'>
    <tr><td>
        <xsl:value-of select='headers/subject/text()'/> 
	(<xsl:value-of select='headers/from/name/text()'/>)
    </td></tr>
    <!--
    <tr><td>
        <xsl:value-of select='data/text()'/>
    </td></tr>
    -->
</xsl:template>

</xsl:transform>
